Page MenuHomePhabricator

Notifications from moderated post are not purged
Closed, ResolvedPublic

Description

A split issue from T93673: Remove Notifications about posts/topics that have been Moderated.

  1. As a user A create a post on some topic (not necessarily on a watched topic).
  2. User B replies, thanks, and edits user A post - user A receives all notifications.
  3. Delete/Suppress the user A post - all notifications are still displayed in the flyout and Special:Notificaitons page.

echo_event does not mark the notifications from deleted/suppressed posts as deleted. Deleted/suppressed topics and deleted Flow board will have all notificaitons marked as deleted in the db table.

Note:

  • Deleting/suppressing a Flow board or a topic will purge all notifications received by user.
  • The not-deleted notificaitons from moderated posts are clickable and redirect to the post page where the delted post is not present. No highlighting is present.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 11 2016, 9:35 PM

Change 304480 had a related patch set uploaded (by Sbisson):
Fix notification cleanup on post moderation

https://gerrit.wikimedia.org/r/304480

SBisson claimed this task.Aug 12 2016, 3:43 PM
SBisson moved this task from Untriaged to Needs Review on the Collab-Team-Q1-July-Sep-2016 board.

Change 304480 merged by jenkins-bot:
Fix notification cleanup on post moderation

https://gerrit.wikimedia.org/r/304480

Checked in betalab. All notifications generated from deleted/suppressed posts are successfully purged.

jmatazzoni closed this task as Resolved.Aug 19 2016, 12:11 AM